Subject: bug#35909: 27.0.50; Speed up untarring (and hence package installation)

From: Noam Postavsky <[email-masked]>
Date: Sat, 25 May 2019 20:00:18 -0400

Severity: wishlist

package.el uses tar-mode.el to unpack tar files.  This can be very slow
for tar files which have many small files.  As an example see
https://elpa.gnu.org/packages/yasnippet-classic-snippets-1.0.2.tar.

tar-untar-buffer for that file currently takes 11.5 seconds on my
machine.  After (setq write-region-inhibit-fsync t) it takes 1.2
seconds.  When further binding inhibit-message to t around the call, it
takes 0.3 seconds.  Which is the same as running tar -xf.

Patch to follow.